Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227188 - NFSv4 SETATTR mode calls fails against netapp with -EINVAL
Summary: NFSv4 SETATTR mode calls fails against netapp with -EINVAL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Layton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 00:11 UTC by Jeff Layton
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 16:19:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to mask off high order mode bits in setattr calls (deleted)
2007-02-03 00:15 UTC, Jeff Layton
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Jeff Layton 2007-02-03 00:11:16 UTC
When a SETATTR call that changes mode bits is made against a netapp server, it
returns a -EINVAL. The issue seems to be that we're not masking off the
high-order mode bits when sending the call to the server.

Comment 1 Jeff Layton 2007-02-03 00:15:25 UTC
Created attachment 147262 [details]
patch to mask off high order mode bits in setattr calls

This patch should fix it, but needs testing against v2/v3 (only the v4 part has
been tested so far).

Comment 2 Jeff Layton 2007-02-10 15:00:05 UTC
Note that this only seems to happen with very new versions of OnTap

Comment 4 Jeff Layton 2007-02-19 21:16:56 UTC
Moving back to assigned to work on a more comprehensive upstream patch.


Comment 6 RHEL Product and Program Management 2007-03-08 15:44:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 RHEL Product and Program Management 2007-04-18 22:33:32 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 8 Jason Baron 2007-06-14 20:00:58 UTC
committed in stream U6 build 55.8. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 11 errata-xmlrpc 2007-11-15 16:19:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.